Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 27-08-2019 23:14:17

Edenris
Membre
Distrib. : dual-boot Windows 10 - Ubuntu 18.04 LTS
Noyau : 5.0.0-36-generic #39~18.04.1-Ubuntu
(G)UI : Gnome
Inscription : 16-08-2019

[RÉSOLU] xterm et xfce4-terminal

Bonjour,
j'ai pu remarqué qu'il y avait 2 terminaux sur mon installation et j'aimerais bien en désinstaller l'un d'eux (xterm) pour faire de la place supplémentaire (d'autres paquets viendraient à être désinstallés eux-aussi).
Puis-je le faire sans risque ?

2ème petite question : Que signifie "priority" quand on argumente apt show par un paquet ?

Merci de vos réponses.

Dernière modification par Edenris (29-08-2019 14:14:15)


Ici, pour peut-être, revenir sur Debian smile

Hors ligne

#2 28-08-2019 00:20:50

otyugh
CA Debian-Facile
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016
Site Web

Re : [RÉSOLU] xterm et xfce4-terminal

Pour la deuxième question, je sais pas trop, mais je crois que ça répond à ta première question.
Optionnel c'est les paquets pas essentiel pour le système, et quand ils est "important", ben. Si on les supprime on risque de tout casser. Probablement. Ça me semblerait logique. Genre quand on fait un

apt remove apt


ATTENTION : Les paquets essentiels suivants vont être enlevés.
Vous NE devez PAS faire ceci, à moins de savoir exactement ce
que vous êtes en train de faire.
  apt
 



Après c'est une supposition, mais ce dont je suis sûr c'est que supprimer xterm c'est pas un souci, c'est qu'un appli comme une autre.

Dernière modification par otyugh (28-08-2019 00:21:41)


datalove-datalove-s1-2.png agendadulibre-lagendadulibre.png arzinfo-arzinfo.png

En ligne

#3 28-08-2019 00:29:32

Edenris
Membre
Distrib. : dual-boot Windows 10 - Ubuntu 18.04 LTS
Noyau : 5.0.0-36-generic #39~18.04.1-Ubuntu
(G)UI : Gnome
Inscription : 16-08-2019

Re : [RÉSOLU] xterm et xfce4-terminal

Que suis-je bête !
j'aurais du faire ça direct :

apt show apt


Priority: required
Section: admin


Mais si je pars dans la logique que les sections sont aussi importantes que la priorité, "synaptic" ne serait pas désinstallable ?
Aussi, que signifie le nom des sections "x11" et "metapackages" ?
Et pourquoi pour le paquet "libreoffice" il y a une mention en rouge SECURITY ? https://packages.debian.org/en/buster/metapackages/
Pensez-vous qu'ils ont fait une erreur dans la description du paquet "xfce4" en écrivant pour le package de téléchargement 8324 B ? (oui la mémoire disque est un critère de choix pour ma partition /dev/sda5 qui est remplie à 95% selon la commande "df" )

Bref, je suis un peu perdu dans tous mes questionnements....Merci en tout cas ! (oui, je me prends la tête mad )

Dernière modification par Edenris (28-08-2019 01:16:14)


Ici, pour peut-être, revenir sur Debian smile

Hors ligne

#4 28-08-2019 01:15:23

otyugh
CA Debian-Facile
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016
Site Web

Re : [RÉSOLU] xterm et xfce4-terminal

Edenris a écrit :

Mais si je pars dans la logique que les sections sont aussi importantes que la priorité, "synaptic" ne serait pas désinstallable ?


J'ai rien dit à propos de la section. La section c'est le "genre de rôle" de l'application. Mais synaptic est "optional" c'est écrit. Regarde mieux.

Aussi j'ai jamais lu de doc sur le sujet, je fais des déductions logiques à partir de ce que j'ai, ça me semble relativement couler de source. Relativement. tongue

Dernière modification par otyugh (28-08-2019 01:19:07)


datalove-datalove-s1-2.png agendadulibre-lagendadulibre.png arzinfo-arzinfo.png

En ligne

#5 28-08-2019 01:18:22

Edenris
Membre
Distrib. : dual-boot Windows 10 - Ubuntu 18.04 LTS
Noyau : 5.0.0-36-generic #39~18.04.1-Ubuntu
(G)UI : Gnome
Inscription : 16-08-2019

Re : [RÉSOLU] xterm et xfce4-terminal

otyugh a écrit :

J'ai rien dit à propos de la section. La section c'est le "genre de rôle" de l'application. Mais synaptic est "optional" c'est écrit.


Ok.
Du moins, ça permet de confirmer des soupçons, ou bien de savoir à quel environnement graphique c'est compatible s'il en est dépendant. J'ai bon ?

Dernière modification par Edenris (28-08-2019 01:21:26)


Ici, pour peut-être, revenir sur Debian smile

Hors ligne

#6 28-08-2019 02:09:54

otyugh
CA Debian-Facile
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016
Site Web

Re : [RÉSOLU] xterm et xfce4-terminal

Personnellement j'ai le sentiment que ça sert pas à grand chose lol
Y a très peu de composant essentiels à debian, et si jamais tu essaies de les supprimer (et d'une dizaine d'année de debian ça m'était jamais arrivé d'essayer) y a un gros message d'avertissement.

En cas de "chaîne de dépendance", tu vois directement quand tu la casses, vu que APT est assez intelligent pour te le dire. Genre voilà sur xfce si tu veux désinstaller une librairie de base, paf, tu le sais ; APT va dire "t'es sûr ? Parce que si tu désinstalle ça, j'vais devoir désinstallertouuuuuut ça.

apt remove libxfce4util7


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  hddtemp libburn4 libexo-common libexo-helpers libgarcon-common libgdome2-0 libisofs6 libjte1 libmate-panel-applet-4-1 libnotify-bin libpanel-applet0 libqrencode3 libtagc0
  libtumbler-1-0 libxfce4ui-common libxfce4util-common thunar-data tumbler tumbler-common workrave-data xarchiver xfce4-power-manager-data xfce4-taskmanager xfdesktop4-data
Veuillez utiliser « apt autoremove » pour les supprimer.
Les paquets suivants seront ENLEVÉS :
  exo-utils libexo-1-0 libgarcon-1-0 libthunarx-2-0 libxfce4panel-2.0-4 libxfce4ui-1-0 libxfce4ui-2-0 libxfce4util-bin libxfce4util7 libxfconf-0-2 ristretto thunar
  thunar-archive-plugin thunar-media-tags-plugin thunar-volman workrave xfburn xfce4-battery-plugin xfce4-clipman xfce4-clipman-plugin xfce4-cpufreq-plugin
  xfce4-cpugraph-plugin xfce4-datetime-plugin xfce4-dict xfce4-diskperf-plugin xfce4-fsguard-plugin xfce4-genmon-plugin xfce4-goodies xfce4-mailwatch-plugin xfce4-mount-plugin
  xfce4-netload-plugin xfce4-notes xfce4-notes-plugin xfce4-notifyd xfce4-panel xfce4-places-plugin xfce4-power-manager xfce4-power-manager-plugins xfce4-pulseaudio-plugin
  xfce4-screenshooter xfce4-sensors-plugin xfce4-session xfce4-settings xfce4-smartbookmark-plugin xfce4-systemload-plugin xfce4-terminal xfce4-timer-plugin xfce4-verve-plugin
  xfce4-wavelan-plugin xfce4-weather-plugin xfce4-whiskermenu-plugin xfce4-xkb-plugin xfconf xfdesktop4 xfwm4

0 mis à jour, 0 nouvellement installés, 55 à enlever et 4 non mis à jour.
Après cette opération, 47,3 Mo d'espace disque seront libérés.



Tout ça pour dire qu’empiriquement, il suffit de faire "comme si" tu le faisais, et avant de casser quoique ce soit, tu aura conscience de si tu t'apprête à faire une bêtise ou pas. C'est pas sorcier. ^^'

Dans "apt show" le seul truc dont j'ai vraiment usage c'est la description du paquet (pour savoir ce que c'est) et sa version (certains bugs sont corrigés ou fonctionnalité ajouté ou pas selon ça).

Dernière modification par otyugh (28-08-2019 02:19:19)


datalove-datalove-s1-2.png agendadulibre-lagendadulibre.png arzinfo-arzinfo.png

En ligne

#7 28-08-2019 02:17:16

Edenris
Membre
Distrib. : dual-boot Windows 10 - Ubuntu 18.04 LTS
Noyau : 5.0.0-36-generic #39~18.04.1-Ubuntu
(G)UI : Gnome
Inscription : 16-08-2019

Re : [RÉSOLU] xterm et xfce4-terminal

Il ne faut pas aller trop vite oui...
Aucun problème comme convenu avec "xterm"

Dernière modification par Edenris (28-08-2019 02:40:51)


Ici, pour peut-être, revenir sur Debian smile

Hors ligne

#8 28-08-2019 06:34:17

Jean-Pierre Pinson
Membre
Lieu : Orléans
Distrib. : Trisquel 8 64bits Ordi.: Thinkpad T400
Noyau : 4.15.0-55-generic x86_64
(G)UI : xfce
Inscription : 04-03-2017

Re : [RÉSOLU] xterm et xfce4-terminal

Edenris Bonjour

Comme terminal Je te conseille d'utiliser Urxvt : Tu auras toutes les infos pour l'installer et le configurer ici: https://debian-facile.org/doc:autres:urxvt

Dernière modification par Jean-Pierre Pinson (28-08-2019 06:35:22)


Trisquel 8 64bits
Bureau : xfce
Ordinateur : Thinkpad T400 libreboot

Hors ligne

#9 28-08-2019 12:15:53

Edenris
Membre
Distrib. : dual-boot Windows 10 - Ubuntu 18.04 LTS
Noyau : 5.0.0-36-generic #39~18.04.1-Ubuntu
(G)UI : Gnome
Inscription : 16-08-2019

Re : [RÉSOLU] xterm et xfce4-terminal

Bonjour !

Jean-Pierre Pinson a écrit :

Comme terminal Je te conseille d'utiliser Urxvt


En fait, je pense tous les essayer au fur et à mesure pour voir lequel correspond vraiment à mes besoins et à mon niveau (même guake qui me semble impossible à contrôler)


Ici, pour peut-être, revenir sur Debian smile

Hors ligne

Pied de page des forums